Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Class ExchangeImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.message.StringMapImpl
                  org.apache.cxf.message.ExchangeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, Exchange, StringMap

    public class ExchangeImpl

extends StringMapImpl
implements Exchange

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ExchangeImpl()`

Method Summary
`void` | `clear()`
`Conduit` | `getConduit(Message message)`
`Destination` | `getDestination()`
`Message` | `getInFaultMessage()`
`Message` | `getInMessage()` Returns the inbound message for the exchange.
`Message` | `getOutFaultMessage()`
`Message` | `getOutMessage()` Returns the outbound message for the exchange.
`Session` | `getSession()`
`boolean` | `isOneWay()` Determines if the exchange is one-way.
`boolean` | `isSynchronous()` Determines if the exchange requires the frontend to wait for a response.
`void` | `setConduit(Conduit c)`
`void` | `setDestination(Destination d)`
`void` | `setInFaultMessage(Message m)`
`void` | `setInMessage(Message m)`
`void` | `setOneWay(boolean b)`
`void` | `setOutFaultMessage(Message m)`
`void` | `setOutMessage(Message m)`
`void` | `setSession(Session session)`
`void` | `setSynchronous(boolean b)`

Methods inherited from class org.apache.cxf.message.StringMapImpl
`get, put`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.message.StringMap
`get, put`

Methods inherited from interface java.util.Map
`containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### ExchangeImpl

    public ExchangeImpl()

Method Detail

### getDestination

    public Destination getDestination()

  Specified by:
    `getDestination` in interface `Exchange`
  Returns:
    the associated incoming Destination (may be anonymous)

### getInMessage

    public Message getInMessage()

  Description copied from interface: `Exchange`
  Returns the inbound message for the exchange. On the client-side, this is the response. On the server-side, this is the request.

  Specified by:
    `getInMessage` in interface `Exchange`
  Returns:
    the inboubnd message

### getConduit

    public Conduit getConduit(Message message)

  Specified by:
    `getConduit` in interface `Exchange`
  Parameters:
    `message` - the associated message
  Returns:
    the associated outgoing Conduit (may be anonymous)

### getOutMessage

    public Message getOutMessage()

  Description copied from interface: `Exchange`
  Returns the outbound message for the exchange. On the client-side, this is the request. On the server-side, this is the response. During the inbound message processing, the outbound message is null.

  Specified by:
    `getOutMessage` in interface `Exchange`
  Returns:
    the outbound message

### getInFaultMessage

    public Message getInFaultMessage()

  Specified by:
    `getInFaultMessage` in interface `Exchange`

### setInFaultMessage

    public void setInFaultMessage(Message m)

  Specified by:
    `setInFaultMessage` in interface `Exchange`

### getOutFaultMessage

    public Message getOutFaultMessage()

  Specified by:
    `getOutFaultMessage` in interface `Exchange`

### setOutFaultMessage

    public void setOutFaultMessage(Message m)

  Specified by:
    `setOutFaultMessage` in interface `Exchange`

### setDestination

    public void setDestination(Destination d)

  Specified by:
    `setDestination` in interface `Exchange`
  Parameters:
    `d` - the associated incoming Destination

### setInMessage

    public void setInMessage(Message m)

  Specified by:
    `setInMessage` in interface `Exchange`

### setConduit

    public void setConduit(Conduit c)

  Specified by:
    `setConduit` in interface `Exchange`
  Parameters:
    `c` - the associated outgoing Conduit

### setOutMessage

    public void setOutMessage(Message m)

  Specified by:
    `setOutMessage` in interface `Exchange`

### isOneWay

    public boolean isOneWay()

  Description copied from interface: `Exchange`
  Determines if the exchange is one-way.

  Specified by:
    `isOneWay` in interface `Exchange`
  Returns:
    true if the exchange is known to be a one-way exchange

### setOneWay

    public void setOneWay(boolean b)

  Specified by:
    `setOneWay` in interface `Exchange`
  Parameters:
    `b` - true if the exchange is known to be a one-way exchange

### isSynchronous

    public boolean isSynchronous()

  Description copied from interface: `Exchange`
  Determines if the exchange requires the frontend to wait for a response. Transports can then optimize themselves to process the response immediately instead of using a background thread or similar.

  Specified by:
    `isSynchronous` in interface `Exchange`
  Returns:
    true if the frontend will wait for the response

### setSynchronous

    public void setSynchronous(boolean b)

  Specified by:
    `setSynchronous` in interface `Exchange`

### getSession

    public Session getSession()

  Specified by:
    `getSession` in interface `Exchange`

### setSession

    public void setSession(Session session)

### clear

    public void clear()

  Description copied from interface: `Exchange`

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Specified by:
    `clear` in interface `Exchange`
  Overrides:
    `clear` in class `java.util.HashMap<java.lang.String,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF